TAAS - Feature #191

Document History
05/09/2023 07:07 PM - Junaid M

Status: New Changes Start date: 05/10/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Document History

Description

Coding Document History

History

#1 - 05/10/2023 09:56 AM - Junaid M

- Assignee changed from Junaid M to Amal Pious

#2 - 05/10/2023 10:05 AM - Amal Pious

- Status changed from New to Coding Started

- Start date changed from 05/09/2023 to 05/10/2023
- % Done changed from 0 to 40

#3 - 05/11/2023 05:06 PM - Amal Pious
- Status changed from Coding Started to New
- % Done changed from 40 to 0

GUI completed

#4 - 05/24/2023 04:37 PM - Junaid M

- Assignee changed from Amal Pious to Junaid M

#5 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#6 - 11/30/2023 11:15 AM - unnikannan S
ISSUE FOUNDED

1.CORRECT THE ALLIGMENT WHILE EXPANDING GRID
2.ADD ERASE TOOL BAR IN LIST COLUMN

#7 - 07/16/2024 04:38 PM - Anil KV
GUI Changes:-

-> Branch move Right (Under Module)

—-> Add 'Action Type' before Branch - Multi Selection(Created, Modified, Deleted)

—-> Alignment

—> Check Column Width

—> 'Compare' Popup Height Ingress

-> All 'New' label change to 'Active'

-> 'Period' to 'Document Date' -> Need red star

—> 'Account' Active saction widget wrong

—-> TOP 'Document Date', 'Branch' Need a checkbox Default Untick,
- Title:- Tick then Select 0ld and Active Document Date
— Tick Checkbox then Clear and Disable and Expend and Show -

- Mandatory Chec

k based on the checkbox

->Swap Old and Active(lst active)

#8 - 07/17/2024 04:36 PM - Anil KV
(dtm_created BETWEEN

_branch_id IN

(dtm_created BETWEEN

_branch_id IN

'01-02-2024"' AND '15-02-20
OR dtm_last_modified BETWEEN '01-02-2024"
OR dtm_deleted BETWEEN '01-02-2024' AND

t_document BETWEEN '01-01-2024' AND

r_sys_module_name 'RECEIPT'
r_document_no = 'RV/001'

(l,2,3)

other Active Filter

TINCT fk_documents_id AS pk_documents_id
bl_documents_log

'01-02-2024"' AND '15-02-20
OR dtm_last_modified BETWEEN '01-02-2024"
OR dtm_deleted BETWEEN '01-02-2024' AND
t_document BETWEEN '01-01-2024' AND
r_sys_module_name 'RECEIPT'
r_document_no 'RV/001"'

(1,2,3) —-—-Branch OR OLD Branc
other 0l1ld Filter

ROM (

NULL AS pk_documents_log_id ,
.pk_documents_id,
.vhr_sys_module_name,
fk_branch_id,
fk_department_id,
.vhr_document_no,
.dat_document,
.vhr_file_number,
.vhr_batch_number,
.vhr_enquiry_no,
.vhr_xo_number,

fk_main_ledger_id,
fk_ledger_id,

.vhr_ledg_currency,
.dbl_ledg_cur_roe,
.dbl_total_ledg_amount,
.vhr_base_currency,
.dbl_total_base_amount,

.vhr_reference,
.txt_remarks,
.vhr_delete_reasons,

.int_sys_action_id,
fk_created_user_id,
.dtm_created,
fk_last_modified_user_id,
.dtm_last_modified,
fk_deleted_user_id,
.dtm_deleted

ocument .tbl_documents docl

R JOIN tbltmp_sel_document_ids
ON docl.pk_documents_id

ctel

L

oclogl.pk_documents_log_id,
ogl.fk_documents_id AS pk_documents_id,
ogl.vhr_sys_module_name,

24"
AND

24"
AND

hes

ctel.pk_documents_id

'Document Date',

'Branch'’

--Action Date
'15-02-2024"

'15-02-2024")
'31-01-2024"

——Document Date OR ACTIVE Document Date

—-—Branch OR ACTIVE Branches

--Action Date
'15-02-2024"

'15-02-2024")
'31-01-2024"

——Document Date OR OLD Document Date
doclogl.fk_branch_id,
doclogl.fk_department_id,
doclogl.vhr_document_no,
doclogl.dat_document,
doclogl.vhr_file_number,
doclogl.vhr_batch_number,
doclogl.vhr_enquiry_no,
doclogl.vhr_xo_number,

doclogl.fk_main_ledger_id,
doclogl.fk_ledger_id,

doclogl.vhr_ledg_currency,
doclogl.dbl_ledg_cur_roe,
doclogl.dbl_total_ledg_amount,
doclogl.vhr_base_currency,
doclogl.dbl_total_base_amount,

doclogl.vhr_reference,
doclogl.txt_remarks,
doclogl.vhr_delete_reasons,

doclogl.int_sys_action_id,
doclogl.fk_created_user_id,
doclogl.dtm_created,
doclogl.fk_last_modified_user_id,
doclogl.dtm_last_modified,
doclogl.fk_deleted_user_id,
doclogl.dtm_deleted
FROM log.tbl_documents_log doclogl
INNER JOIN tbltmp_sel_document_ids cte2
ON doclogl.fk_documents_id = cte2.pk_documents_id
) AS tbltmp_documents
ORDER BY pk_documents_id, pk_documents_log_id DESC NULLS FIRST;

#9 - 07/17/2024 04:36 PM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Greeshma S

- % Done changed from 0 to 20

#10 - 07/26/2024 03:29 PM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#11 - 08/09/2024 10:10 AM - Greeshma S
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 30 to 40

#12 - 10/19/2024 01:25 PM - Arathy PS
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND

1. Data not loading for the date in 'document to date'.

2. Doc. date tick box is selected--> field gets disabled -->click search-->click reset then again search--> the doc date field gets enabled.
3. Searching data based on Doc date is not fetching data properly for past dates.

4. Data showing even if action type created is unticked for documents that had multiple actions.

5. Data showing for the modules that are excluded.

6. No validation for old branch.

7. Delete document is showing two times.

8. When tick mark is selected in branch field, the branch field is not disabled.

9. When a document is deleted two deleted data is showing.

10. Show default data in branch field.--fixed

NEW CHANGES

1. Change last edited document to action and make the font dark green color.
2. Change the font color of created documents to dark blue.
3. Compare button should be below (like sale) and also in grid.

#13 - 10/24/2024 11:48 AM - Greeshma S
- Status changed from Reopen Bugs to Coding Started
- % Done changed from 50 to 30

#14 - 11/13/2024 12:33 PM - Arathy PS
- Status changed from Coding Started to Reopen Bugs
- % Done changed from 30 to 50

ISSUE FOUND

1. Doc. history not showing when an action is done on a date other than doc created date.

CHANGES

2. When a document is created and that is its active state then Active (created) in green.

3. When a document is modified and that is its last active state then Active (modified) in green.

#15 - 11/20/2024 09:12 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 03/14/2025 10:20 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#17 - 03/14/2025 10:20 AM - Arathy PS

Working of compare button
